#include "chdecl.h"
void CH_disassembler_disopcode(current, sched, cop)
#define ARGUMENTS 238
#include "chhead.h"
select: switch (SELECTOR) {
    case 0: goto c0;
    case 1: goto cb2;
    case 2: goto c3;
    case 3: goto c611;
    case 4: goto c612;
    case 5: goto c615;  }
c0:
/* block , 0 */
  if((ch_returncode = che_block(QUAL(0),sched)) != Normal)
     goto ch_raise_exception;
/* block , 1 */
  if((ch_returncode = che_block(QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 1;
cb2:
/* receive 3 0 */
  if ((ch_returncode = che_receive(DEF(3),DEF(0),sched)) != Normal)
     goto ch_raise_exception;
  return;
c3:
/* noop */
  
/* equal . 3.0 =(118) , 243 */
  if ( REF(3)DOT(0).value.enumeration == 118 ) goto c243;
/* equal . 3.0 =(117) , 246 */
  if ( REF(3)DOT(0).value.enumeration == 117 ) goto c246;
/* equal . 3.0 =(116) , 249 */
  if ( REF(3)DOT(0).value.enumeration == 116 ) goto c249;
/* equal . 3.0 =(115) , 252 */
  if ( REF(3)DOT(0).value.enumeration == 115 ) goto c252;
/* equal . 3.0 =(114) , 255 */
  if ( REF(3)DOT(0).value.enumeration == 114 ) goto c255;
/* equal . 3.0 =(113) , 258 */
  if ( REF(3)DOT(0).value.enumeration == 113 ) goto c258;
/* equal . 3.0 =(112) , 261 */
  if ( REF(3)DOT(0).value.enumeration == 112 ) goto c261;
/* equal . 3.0 =(111) , 264 */
  if ( REF(3)DOT(0).value.enumeration == 111 ) goto c264;
/* equal . 3.0 =(110) , 267 */
  if ( REF(3)DOT(0).value.enumeration == 110 ) goto c267;
/* equal . 3.0 =(109) , 270 */
  if ( REF(3)DOT(0).value.enumeration == 109 ) goto c270;
/* equal . 3.0 =(108) , 273 */
  if ( REF(3)DOT(0).value.enumeration == 108 ) goto c273;
/* equal . 3.0 =(107) , 276 */
  if ( REF(3)DOT(0).value.enumeration == 107 ) goto c276;
/* equal . 3.0 =(106) , 279 */
  if ( REF(3)DOT(0).value.enumeration == 106 ) goto c279;
/* equal . 3.0 =(105) , 282 */
  if ( REF(3)DOT(0).value.enumeration == 105 ) goto c282;
/* equal . 3.0 =(104) , 285 */
  if ( REF(3)DOT(0).value.enumeration == 104 ) goto c285;
/* equal . 3.0 =(103) , 288 */
  if ( REF(3)DOT(0).value.enumeration == 103 ) goto c288;
/* equal . 3.0 =(102) , 291 */
  if ( REF(3)DOT(0).value.enumeration == 102 ) goto c291;
/* equal . 3.0 =(101) , 294 */
  if ( REF(3)DOT(0).value.enumeration == 101 ) goto c294;
/* equal . 3.0 =(100) , 297 */
  if ( REF(3)DOT(0).value.enumeration == 100 ) goto c297;
/* equal . 3.0 =(99) , 300 */
  if ( REF(3)DOT(0).value.enumeration == 99 ) goto c300;
/* equal . 3.0 =(98) , 303 */
  if ( REF(3)DOT(0).value.enumeration == 98 ) goto c303;
/* equal . 3.0 =(97) , 306 */
  if ( REF(3)DOT(0).value.enumeration == 97 ) goto c306;
/* equal . 3.0 =(96) , 309 */
  if ( REF(3)DOT(0).value.enumeration == 96 ) goto c309;
/* equal . 3.0 =(95) , 312 */
  if ( REF(3)DOT(0).value.enumeration == 95 ) goto c312;
/* equal . 3.0 =(94) , 315 */
  if ( REF(3)DOT(0).value.enumeration == 94 ) goto c315;
/* equal . 3.0 =(93) , 318 */
  if ( REF(3)DOT(0).value.enumeration == 93 ) goto c318;
/* equal . 3.0 =(92) , 321 */
  if ( REF(3)DOT(0).value.enumeration == 92 ) goto c321;
/* equal . 3.0 =(91) , 324 */
  if ( REF(3)DOT(0).value.enumeration == 91 ) goto c324;
/* equal . 3.0 =(90) , 327 */
  if ( REF(3)DOT(0).value.enumeration == 90 ) goto c327;
/* equal . 3.0 =(89) , 330 */
  if ( REF(3)DOT(0).value.enumeration == 89 ) goto c330;
/* equal . 3.0 =(88) , 333 */
  if ( REF(3)DOT(0).value.enumeration == 88 ) goto c333;
/* equal . 3.0 =(87) , 336 */
  if ( REF(3)DOT(0).value.enumeration == 87 ) goto c336;
/* equal . 3.0 =(86) , 339 */
  if ( REF(3)DOT(0).value.enumeration == 86 ) goto c339;
/* equal . 3.0 =(85) , 342 */
  if ( REF(3)DOT(0).value.enumeration == 85 ) goto c342;
/* equal . 3.0 =(84) , 345 */
  if ( REF(3)DOT(0).value.enumeration == 84 ) goto c345;
/* equal . 3.0 =(83) , 348 */
  if ( REF(3)DOT(0).value.enumeration == 83 ) goto c348;
/* equal . 3.0 =(82) , 351 */
  if ( REF(3)DOT(0).value.enumeration == 82 ) goto c351;
/* equal . 3.0 =(81) , 354 */
  if ( REF(3)DOT(0).value.enumeration == 81 ) goto c354;
/* equal . 3.0 =(80) , 357 */
  if ( REF(3)DOT(0).value.enumeration == 80 ) goto c357;
/* equal . 3.0 =(79) , 360 */
  if ( REF(3)DOT(0).value.enumeration == 79 ) goto c360;
/* equal . 3.0 =(78) , 363 */
  if ( REF(3)DOT(0).value.enumeration == 78 ) goto c363;
/* equal . 3.0 =(77) , 366 */
  if ( REF(3)DOT(0).value.enumeration == 77 ) goto c366;
/* equal . 3.0 =(76) , 369 */
  if ( REF(3)DOT(0).value.enumeration == 76 ) goto c369;
/* equal . 3.0 =(75) , 372 */
  if ( REF(3)DOT(0).value.enumeration == 75 ) goto c372;
/* equal . 3.0 =(74) , 375 */
  if ( REF(3)DOT(0).value.enumeration == 74 ) goto c375;
/* equal . 3.0 =(73) , 378 */
  if ( REF(3)DOT(0).value.enumeration == 73 ) goto c378;
/* equal . 3.0 =(72) , 381 */
  if ( REF(3)DOT(0).value.enumeration == 72 ) goto c381;
/* equal . 3.0 =(71) , 384 */
  if ( REF(3)DOT(0).value.enumeration == 71 ) goto c384;
/* equal . 3.0 =(70) , 387 */
  if ( REF(3)DOT(0).value.enumeration == 70 ) goto c387;
/* equal . 3.0 =(69) , 390 */
  if ( REF(3)DOT(0).value.enumeration == 69 ) goto c390;
/* equal . 3.0 =(68) , 393 */
  if ( REF(3)DOT(0).value.enumeration == 68 ) goto c393;
/* equal . 3.0 =(67) , 396 */
  if ( REF(3)DOT(0).value.enumeration == 67 ) goto c396;
/* equal . 3.0 =(66) , 399 */
  if ( REF(3)DOT(0).value.enumeration == 66 ) goto c399;
/* equal . 3.0 =(65) , 402 */
  if ( REF(3)DOT(0).value.enumeration == 65 ) goto c402;
/* equal . 3.0 =(64) , 405 */
  if ( REF(3)DOT(0).value.enumeration == 64 ) goto c405;
/* equal . 3.0 =(63) , 408 */
  if ( REF(3)DOT(0).value.enumeration == 63 ) goto c408;
/* equal . 3.0 =(62) , 411 */
  if ( REF(3)DOT(0).value.enumeration == 62 ) goto c411;
/* equal . 3.0 =(61) , 414 */
  if ( REF(3)DOT(0).value.enumeration == 61 ) goto c414;
/* equal . 3.0 =(60) , 417 */
  if ( REF(3)DOT(0).value.enumeration == 60 ) goto c417;
/* equal . 3.0 =(59) , 420 */
  if ( REF(3)DOT(0).value.enumeration == 59 ) goto c420;
/* equal . 3.0 =(58) , 423 */
  if ( REF(3)DOT(0).value.enumeration == 58 ) goto c423;
/* equal . 3.0 =(57) , 426 */
  if ( REF(3)DOT(0).value.enumeration == 57 ) goto c426;
/* equal . 3.0 =(56) , 429 */
  if ( REF(3)DOT(0).value.enumeration == 56 ) goto c429;
/* equal . 3.0 =(55) , 432 */
  if ( REF(3)DOT(0).value.enumeration == 55 ) goto c432;
/* equal . 3.0 =(54) , 435 */
  if ( REF(3)DOT(0).value.enumeration == 54 ) goto c435;
/* equal . 3.0 =(53) , 438 */
  if ( REF(3)DOT(0).value.enumeration == 53 ) goto c438;
/* equal . 3.0 =(52) , 441 */
  if ( REF(3)DOT(0).value.enumeration == 52 ) goto c441;
/* equal . 3.0 =(51) , 444 */
  if ( REF(3)DOT(0).value.enumeration == 51 ) goto c444;
/* equal . 3.0 =(50) , 447 */
  if ( REF(3)DOT(0).value.enumeration == 50 ) goto c447;
/* equal . 3.0 =(49) , 450 */
  if ( REF(3)DOT(0).value.enumeration == 49 ) goto c450;
/* equal . 3.0 =(48) , 453 */
  if ( REF(3)DOT(0).value.enumeration == 48 ) goto c453;
/* equal . 3.0 =(47) , 456 */
  if ( REF(3)DOT(0).value.enumeration == 47 ) goto c456;
/* equal . 3.0 =(46) , 459 */
  if ( REF(3)DOT(0).value.enumeration == 46 ) goto c459;
/* equal . 3.0 =(45) , 462 */
  if ( REF(3)DOT(0).value.enumeration == 45 ) goto c462;
/* equal . 3.0 =(44) , 465 */
  if ( REF(3)DOT(0).value.enumeration == 44 ) goto c465;
/* equal . 3.0 =(43) , 468 */
  if ( REF(3)DOT(0).value.enumeration == 43 ) goto c468;
/* equal . 3.0 =(42) , 471 */
  if ( REF(3)DOT(0).value.enumeration == 42 ) goto c471;
/* equal . 3.0 =(41) , 474 */
  if ( REF(3)DOT(0).value.enumeration == 41 ) goto c474;
/* equal . 3.0 =(40) , 477 */
  if ( REF(3)DOT(0).value.enumeration == 40 ) goto c477;
/* equal . 3.0 =(39) , 480 */
  if ( REF(3)DOT(0).value.enumeration == 39 ) goto c480;
/* equal . 3.0 =(38) , 483 */
  if ( REF(3)DOT(0).value.enumeration == 38 ) goto c483;
/* equal . 3.0 =(37) , 486 */
  if ( REF(3)DOT(0).value.enumeration == 37 ) goto c486;
/* equal . 3.0 =(36) , 489 */
  if ( REF(3)DOT(0).value.enumeration == 36 ) goto c489;
/* equal . 3.0 =(35) , 492 */
  if ( REF(3)DOT(0).value.enumeration == 35 ) goto c492;
/* equal . 3.0 =(34) , 495 */
  if ( REF(3)DOT(0).value.enumeration == 34 ) goto c495;
/* equal . 3.0 =(33) , 498 */
  if ( REF(3)DOT(0).value.enumeration == 33 ) goto c498;
/* equal . 3.0 =(32) , 501 */
  if ( REF(3)DOT(0).value.enumeration == 32 ) goto c501;
/* equal . 3.0 =(31) , 504 */
  if ( REF(3)DOT(0).value.enumeration == 31 ) goto c504;
/* equal . 3.0 =(30) , 507 */
  if ( REF(3)DOT(0).value.enumeration == 30 ) goto c507;
/* equal . 3.0 =(29) , 510 */
  if ( REF(3)DOT(0).value.enumeration == 29 ) goto c510;
/* equal . 3.0 =(28) , 513 */
  if ( REF(3)DOT(0).value.enumeration == 28 ) goto c513;
/* equal . 3.0 =(27) , 516 */
  if ( REF(3)DOT(0).value.enumeration == 27 ) goto c516;
/* equal . 3.0 =(26) , 519 */
  if ( REF(3)DOT(0).value.enumeration == 26 ) goto c519;
/* equal . 3.0 =(25) , 522 */
  if ( REF(3)DOT(0).value.enumeration == 25 ) goto c522;
/* equal . 3.0 =(24) , 525 */
  if ( REF(3)DOT(0).value.enumeration == 24 ) goto c525;
/* equal . 3.0 =(23) , 528 */
  if ( REF(3)DOT(0).value.enumeration == 23 ) goto c528;
/* equal . 3.0 =(22) , 531 */
  if ( REF(3)DOT(0).value.enumeration == 22 ) goto c531;
/* equal . 3.0 =(21) , 534 */
  if ( REF(3)DOT(0).value.enumeration == 21 ) goto c534;
/* equal . 3.0 =(20) , 537 */
  if ( REF(3)DOT(0).value.enumeration == 20 ) goto c537;
/* equal . 3.0 =(19) , 540 */
  if ( REF(3)DOT(0).value.enumeration == 19 ) goto c540;
/* equal . 3.0 =(18) , 543 */
  if ( REF(3)DOT(0).value.enumeration == 18 ) goto c543;
/* equal . 3.0 =(17) , 546 */
  if ( REF(3)DOT(0).value.enumeration == 17 ) goto c546;
/* equal . 3.0 =(16) , 549 */
  if ( REF(3)DOT(0).value.enumeration == 16 ) goto c549;
/* equal . 3.0 =(15) , 552 */
  if ( REF(3)DOT(0).value.enumeration == 15 ) goto c552;
/* equal . 3.0 =(14) , 555 */
  if ( REF(3)DOT(0).value.enumeration == 14 ) goto c555;
/* equal . 3.0 =(13) , 558 */
  if ( REF(3)DOT(0).value.enumeration == 13 ) goto c558;
/* equal . 3.0 =(12) , 561 */
  if ( REF(3)DOT(0).value.enumeration == 12 ) goto c561;
/* equal . 3.0 =(11) , 564 */
  if ( REF(3)DOT(0).value.enumeration == 11 ) goto c564;
/* equal . 3.0 =(10) , 567 */
  if ( REF(3)DOT(0).value.enumeration == 10 ) goto c567;
/* equal . 3.0 =(9) , 570 */
  if ( REF(3)DOT(0).value.enumeration == 9 ) goto c570;
/* equal . 3.0 =(8) , 573 */
  if ( REF(3)DOT(0).value.enumeration == 8 ) goto c573;
/* equal . 3.0 =(7) , 576 */
  if ( REF(3)DOT(0).value.enumeration == 7 ) goto c576;
/* equal . 3.0 =(6) , 579 */
  if ( REF(3)DOT(0).value.enumeration == 6 ) goto c579;
/* equal . 3.0 =(5) , 582 */
  if ( REF(3)DOT(0).value.enumeration == 5 ) goto c582;
/* equal . 3.0 =(4) , 585 */
  if ( REF(3)DOT(0).value.enumeration == 4 ) goto c585;
/* equal . 3.0 =(3) , 588 */
  if ( REF(3)DOT(0).value.enumeration == 3 ) goto c588;
/* equal . 3.0 =(2) , 591 */
  if ( REF(3)DOT(0).value.enumeration == 2 ) goto c591;
/* equal . 3.0 =(1) , 594 */
  if ( REF(3)DOT(0).value.enumeration == 1 ) goto c594;
/* equal . 3.0 =(0) , 597 */
  if ( REF(3)DOT(0).value.enumeration == 0 ) goto c597;
/* branch , 600 */
   goto c600;
c243:
/* chs_lit 4 , "trace" */
  if( !chs_lit(DEF(4),"trace") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c246:
/* chs_lit 4 , "read" */
  if( !chs_lit(DEF(4),"read") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c249:
/* chs_lit 4 , "write" */
  if( !chs_lit(DEF(4),"write") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c252:
/* chs_lit 4 , "print" */
  if( !chs_lit(DEF(4),"print") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c255:
/* chs_lit 4 , "noop" */
  if( !chs_lit(DEF(4),"noop") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c258:
/* chs_lit 4 , "escape" */
  if( !chs_lit(DEF(4),"escape") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c261:
/* chs_lit 4 , "raise" */
  if( !chs_lit(DEF(4),"raise") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c264:
/* chs_lit 4 , "branch_true" */
  if( !chs_lit(DEF(4),"branch_true") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c267:
/* chs_lit 4 , "branch_false" */
  if( !chs_lit(DEF(4),"branch_false") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c270:
/* chs_lit 4 , "branch" */
  if( !chs_lit(DEF(4),"branch") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c273:
/* chs_lit 4 , "jumpselect" */
  if( !chs_lit(DEF(4),"jumpselect") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c276:
/* chs_lit 4 , "select" */
  if( !chs_lit(DEF(4),"select") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c279:
/* chs_lit 4 , "exit" */
  if( !chs_lit(DEF(4),"exit") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c282:
/* chs_lit 4 , "endblock" */
  if( !chs_lit(DEF(4),"endblock") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c285:
/* chs_lit 4 , "block" */
  if( !chs_lit(DEF(4),"block") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c288:
/* chs_lit 4 , "drop" */
  if( !chs_lit(DEF(4),"drop") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c291:
/* chs_lit 4 , "assert" */
  if( !chs_lit(DEF(4),"assert") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c294:
/* chs_lit 4 , "attributename" */
  if( !chs_lit(DEF(4),"attributename") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c297:
/* chs_lit 4 , "typename" */
  if( !chs_lit(DEF(4),"typename") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c300:
/* chs_lit 4 , "checkdefinitions" */
  if( !chs_lit(DEF(4),"checkdefinitions") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c303:
/* chs_lit 4 , "prog_lit" */
  if( !chs_lit(DEF(4),"prog_lit") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c306:
/* chs_lit 4 , "currentprogram" */
  if( !chs_lit(DEF(4),"currentprogram") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c309:
/* chs_lit 4 , "new_program" */
  if( !chs_lit(DEF(4),"new_program") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c312:
/* chs_lit 4 , "endprocess" */
  if( !chs_lit(DEF(4),"endprocess") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c315:
/* chs_lit 4 , "procedure" */
  if( !chs_lit(DEF(4),"procedure") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c318:
/* chs_lit 4 , "create" */
  if( !chs_lit(DEF(4),"create") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c321:
/* chs_lit 4 , "return_exception" */
  if( !chs_lit(DEF(4),"return_exception") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c324:
/* chs_lit 4 , "return" */
  if( !chs_lit(DEF(4),"return") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c327:
/* chs_lit 4 , "call" */
  if( !chs_lit(DEF(4),"call") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c330:
/* chs_lit 4 , "empty" */
  if( !chs_lit(DEF(4),"empty") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c333:
/* chs_lit 4 , "receive" */
  if( !chs_lit(DEF(4),"receive") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c336:
/* chs_lit 4 , "send" */
  if( !chs_lit(DEF(4),"send") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c339:
/* chs_lit 4 , "connect" */
  if( !chs_lit(DEF(4),"connect") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c342:
/* chs_lit 4 , "new_inport" */
  if( !chs_lit(DEF(4),"new_inport") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c345:
/* chs_lit 4 , "typestate_of" */
  if( !chs_lit(DEF(4),"typestate_of") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c348:
/* chs_lit 4 , "type_of" */
  if( !chs_lit(DEF(4),"type_of") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c351:
/* chs_lit 4 , "endinspect_poly" */
  if( !chs_lit(DEF(4),"endinspect_poly") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c354:
/* chs_lit 4 , "inspect_poly" */
  if( !chs_lit(DEF(4),"inspect_poly") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c357:
/* chs_lit 4 , "unwrap" */
  if( !chs_lit(DEF(4),"unwrap") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c360:
/* chs_lit 4 , "wrap" */
  if( !chs_lit(DEF(4),"wrap") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c363:
/* chs_lit 4 , "chs_lit" */
  if( !chs_lit(DEF(4),"chs_lit") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c366:
/* chs_lit 4 , "endidxfind" */
  if( !chs_lit(DEF(4),"endidxfind") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c369:
/* chs_lit 4 , "idxfind_or_goto" */
  if( !chs_lit(DEF(4),"idxfind_or_goto") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c372:
/* chs_lit 4 , "idxfind_or_err" */
  if( !chs_lit(DEF(4),"idxfind_or_err") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c375:
/* chs_lit 4 , "initidxfind" */
  if( !chs_lit(DEF(4),"initidxfind") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c378:
/* chs_lit 4 , "fremove" */
  if( !chs_lit(DEF(4),"fremove") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c381:
/* chs_lit 4 , "find_or_goto" */
  if( !chs_lit(DEF(4),"find_or_goto") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c384:
/* chs_lit 4 , "find" */
  if( !chs_lit(DEF(4),"find") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c387:
/* chs_lit 4 , "lookup_at_or_goto" */
  if( !chs_lit(DEF(4),"lookup_at_or_goto") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c390:
/* chs_lit 4 , "lookup_at" */
  if( !chs_lit(DEF(4),"lookup_at") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c393:
/* chs_lit 4 , "remove_at" */
  if( !chs_lit(DEF(4),"remove_at") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c396:
/* chs_lit 4 , "scan_position" */
  if( !chs_lit(DEF(4),"scan_position") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c399:
/* chs_lit 4 , "position" */
  if( !chs_lit(DEF(4),"position") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c402:
/* chs_lit 4 , "concat" */
  if( !chs_lit(DEF(4),"concat") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c405:
/* chs_lit 4 , "merge_at" */
  if( !chs_lit(DEF(4),"merge_at") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c408:
/* chs_lit 4 , "insert_at" */
  if( !chs_lit(DEF(4),"insert_at") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c411:
/* chs_lit 4 , "privatize" */
  if( !chs_lit(DEF(4),"privatize") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c414:
/* chs_lit 4 , "remove" */
  if( !chs_lit(DEF(4),"remove") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c417:
/* chs_lit 4 , "get_or_goto" */
  if( !chs_lit(DEF(4),"get_or_goto") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c420:
/* chs_lit 4 , "get_or_err" */
  if( !chs_lit(DEF(4),"get_or_err") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c423:
/* chs_lit 4 , "endget" */
  if( !chs_lit(DEF(4),"endget") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c426:
/* chs_lit 4 , "initget" */
  if( !chs_lit(DEF(4),"initget") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c429:
/* chs_lit 4 , "merge" */
  if( !chs_lit(DEF(4),"merge") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c432:
/* chs_lit 4 , "insert" */
  if( !chs_lit(DEF(4),"insert") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c435:
/* chs_lit 4 , "new_table" */
  if( !chs_lit(DEF(4),"new_table") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c438:
/* chs_lit 4 , "size" */
  if( !chs_lit(DEF(4),"size") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c441:
/* chs_lit 4 , "ord_case" */
  if( !chs_lit(DEF(4),"ord_case") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c444:
/* chs_lit 4 , "case" */
  if( !chs_lit(DEF(4),"case") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c447:
/* chs_lit 4 , "hide" */
  if( !chs_lit(DEF(4),"hide") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c450:
/* chs_lit 4 , "reveal" */
  if( !chs_lit(DEF(4),"reveal") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c453:
/* chs_lit 4 , "dissolve" */
  if( !chs_lit(DEF(4),"dissolve") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c456:
/* chs_lit 4 , "unite" */
  if( !chs_lit(DEF(4),"unite") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c459:
/* chs_lit 4 , "new_record" */
  if( !chs_lit(DEF(4),"new_record") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c462:
/* chs_lit 4 , "oeloop" */
  if( !chs_lit(DEF(4),"oeloop") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c465:
/* chs_lit 4 , "oeinitloop" */
  if( !chs_lit(DEF(4),"oeinitloop") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c468:
/* chs_lit 4 , "oecvt_real" */
  if( !chs_lit(DEF(4),"oecvt_real") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c471:
/* chs_lit 4 , "oecvt_int" */
  if( !chs_lit(DEF(4),"oecvt_int") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c474:
/* chs_lit 4 , "oele" */
  if( !chs_lit(DEF(4),"oele") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c477:
/* chs_lit 4 , "oege" */
  if( !chs_lit(DEF(4),"oege") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c480:
/* chs_lit 4 , "oelt" */
  if( !chs_lit(DEF(4),"oelt") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c483:
/* chs_lit 4 , "oegt" */
  if( !chs_lit(DEF(4),"oegt") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c486:
/* chs_lit 4 , "ordenum_lit" */
  if( !chs_lit(DEF(4),"ordenum_lit") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c489:
/* chs_lit 4 , "enum_lit" */
  if( !chs_lit(DEF(4),"enum_lit") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c492:
/* chs_lit 4 , "rcvt_enum" */
  if( !chs_lit(DEF(4),"rcvt_enum") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c495:
/* chs_lit 4 , "rcvt_int" */
  if( !chs_lit(DEF(4),"rcvt_int") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c498:
/* chs_lit 4 , "rnegate" */
  if( !chs_lit(DEF(4),"rnegate") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c501:
/* chs_lit 4 , "rle" */
  if( !chs_lit(DEF(4),"rle") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c504:
/* chs_lit 4 , "rge" */
  if( !chs_lit(DEF(4),"rge") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c507:
/* chs_lit 4 , "rlt" */
  if( !chs_lit(DEF(4),"rlt") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c510:
/* chs_lit 4 , "rgt" */
  if( !chs_lit(DEF(4),"rgt") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c513:
/* chs_lit 4 , "rdivide" */
  if( !chs_lit(DEF(4),"rdivide") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c516:
/* chs_lit 4 , "rmultiply" */
  if( !chs_lit(DEF(4),"rmultiply") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c519:
/* chs_lit 4 , "rsubtract" */
  if( !chs_lit(DEF(4),"rsubtract") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c522:
/* chs_lit 4 , "radd" */
  if( !chs_lit(DEF(4),"radd") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c525:
/* chs_lit 4 , "rlit" */
  if( !chs_lit(DEF(4),"rlit") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c528:
/* chs_lit 4 , "icvt_real" */
  if( !chs_lit(DEF(4),"icvt_real") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c531:
/* chs_lit 4 , "icvt_enum" */
  if( !chs_lit(DEF(4),"icvt_enum") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c534:
/* chs_lit 4 , "inegate" */
  if( !chs_lit(DEF(4),"inegate") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c537:
/* chs_lit 4 , "ile" */
  if( !chs_lit(DEF(4),"ile") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c540:
/* chs_lit 4 , "ige" */
  if( !chs_lit(DEF(4),"ige") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c543:
/* chs_lit 4 , "ilt" */
  if( !chs_lit(DEF(4),"ilt") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c546:
/* chs_lit 4 , "igt" */
  if( !chs_lit(DEF(4),"igt") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c549:
/* chs_lit 4 , "imod" */
  if( !chs_lit(DEF(4),"imod") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c552:
/* chs_lit 4 , "irem" */
  if( !chs_lit(DEF(4),"irem") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c555:
/* chs_lit 4 , "idivide" */
  if( !chs_lit(DEF(4),"idivide") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c558:
/* chs_lit 4 , "imultiply" */
  if( !chs_lit(DEF(4),"imultiply") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c561:
/* chs_lit 4 , "isubtract" */
  if( !chs_lit(DEF(4),"isubtract") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c564:
/* chs_lit 4 , "iadd" */
  if( !chs_lit(DEF(4),"iadd") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c567:
/* chs_lit 4 , "ilit" */
  if( !chs_lit(DEF(4),"ilit") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c570:
/* chs_lit 4 , "not" */
  if( !chs_lit(DEF(4),"not") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c573:
/* chs_lit 4 , "or" */
  if( !chs_lit(DEF(4),"or") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c576:
/* chs_lit 4 , "and" */
  if( !chs_lit(DEF(4),"and") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c579:
/* chs_lit 4 , "boolean" */
  if( !chs_lit(DEF(4),"boolean") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c582:
/* chs_lit 4 , "unique" */
  if( !chs_lit(DEF(4),"unique") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c585:
/* chs_lit 4 , "notequal" */
  if( !chs_lit(DEF(4),"notequal") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c588:
/* chs_lit 4 , "equal" */
  if( !chs_lit(DEF(4),"equal") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c591:
/* chs_lit 4 , "discard" */
  if( !chs_lit(DEF(4),"discard") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c594:
/* chs_lit 4 , "copy" */
  if( !chs_lit(DEF(4),"copy") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c597:
/* chs_lit 4 , "move" */
  if( !chs_lit(DEF(4),"move") ) goto ch_depletion;
/* branch , 604 */
   goto c604;
c600:
/* chs_lit 5 , "Unknown opcode." */
  if( !chs_lit(DEF(5),"Unknown opcode.") ) goto ch_depletion;
/* print 5 */
  re_print(stderr, 0, DEF(5)); fflush(stderr);
/* discard 5 */
  (*(REF(5).tsdr)->finalize)(REF(5).value,F_DISCARD,sched);
  REF(5).tsdr = & dr_bottom;
/* exit , 2 */
  ch_e = handler_type__exit; ch_val = QUAL(2); goto ch_exception;
c604:
/* chs_lit 6 , "_" */
  if( !chs_lit(DEF(6),"_") ) goto ch_depletion;
/* concat 7 6 4 */
  if ((ch_returncode = che_concat(DEF(7),DEF(6),DEF(4),sched)) != Normal)
     goto ch_raise_exception;
/* discard 6 */
  (*(REF(6).tsdr)->finalize)(REF(6).value,F_DISCARD,sched);
  REF(6).tsdr = & dr_bottom;
/* move 3.1 7 */
  (*(REF(3)DOT(1).tsdr)->finalize)(REF(3)DOT(1).value,F_DISCARD,sched);
  REF(3)DOT(1) = REF(7);
  REF(7).tsdr = & dr_bottom;
/* return 3 */
  if (ch_caller = do_return(REF(3).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(3).value);
  REF(3).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
/* branch , 612 */
   goto c612;
c611:
/* return_exception 3 , 3 */
  if (ch_caller = do_return(REF(3).value)) {
    raise_user(QUAL(3),ch_caller); 
    sched->wakeup_proc(sched,ch_caller);}
  else rem_return_exception(DEF(3),QUAL(3));
  REF(3).tsdr = & dr_bottom;
c612:
/* discard 4 */
  (*(REF(4).tsdr)->finalize)(REF(4).value,F_DISCARD,sched);
  REF(4).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
c615:
/* endprocess */
  che_endprocess(sched); return;
#include "chtail.h"
